#include <gtest/gtest.h>
#include "Property_Test_Types.hpp"
static_assert(Property_Set<Property_Direct_Properties>);
static_assert(Property_Product<Property_Direct_Product>);
static_assert(Value_Validator<Property_Checked_Value_Validator, int>);
static_assert(Validated_Property_Value<Range_Value<int, 0, 10>>);
static_assert(Property_Validator<Property_External_Validator, Property_External_Properties>);
static_assert(Property_Constructible<Property_Direct_Product, Property_Direct_Properties, int>);
TEST(property_concepts_test, concepts_compile) {
    SUCCEED();
}
